/* General CSS */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: #121212;
    --secondary-color: #202020;
    --btn-color: #9F90FD;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background: var(--primary-color);
    color: #fff;
    font-size: 1.1em;
    line-height: 1.5;
}

ul {
    list-style: none;
}

a {
    color: #fff;
    text-decoration: none;
}

.grid {
    display: flex;
}


.btn {
    display: inline-block;
    padding: 5px 2px;
    border-bottom: 1px solid var(--btn-color);
    margin: 20px 0px 0px 0px;
}

.btn:hover {
    background: var(--btn-color);
    transform: scale(0.95);
}

img {
    border-radius: 5px;
}

.width-sections {
    width: 85%;
}

/* title - animation */
.header-color {
    color: var(--btn-color);
    margin-bottom: 20px;
    text-align: center;
    animation: bounce 1s ease 1;
}

@keyframes bounce {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px);
    }

    100% {
        transform: translateY(0);
    }
}

@media (max-width: 768px) {
    .header-color {
        font-size: 23px;
    }
}

/*  all pages header image  */
.bg-section {
    width: 100%;
    height: 300px;
    background-image: url('../images/close-up-hands-business-concept.jpg');
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.bg-section::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: 1;
}

.content-header-image h1 {
    font-size: 3rem;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 2px;
    text-shadow: 2px 2px 10px rgba(0, 0, 0, 0.6);
    margin: 0;
    padding: 0;
    color: white;
    animation: bounce 2s ease-in-out;
}

@media (max-width: 768px) {
    .content-header-image h1 {
        font-size: 2rem;
    }
}

/* Menou */
.nav-links-li {
    padding: 10px 0px 5px 0px;
}

.navbar {
    background-color: var(--secondary-color);
    height: 70px;
    position: relative;
    display: flex;
    align-items: center;
    padding: 0 20px;
    z-index: 2;
}

.container-menou {
    max-width: 100%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.navbar ul {
    display: flex;
    list-style: none;
}

.navbar a {
    padding: 10px;
    margin: 0 5px;
    color: #fff;
    text-decoration: none;
}

#nav-links a:hover {
    border-bottom: 2px var(--btn-color) solid;
    color: var(--btn-color);
}

.burger {
    display: none;
    font-size: 24px;
    color: #fff;
    cursor: pointer;
}

@media screen and (max-width: 768px) {
    .burger {
        display: block;
    }

    .navbar ul {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 70px;
        left: 0;
        width: 100%;
        background: var(--secondary-color);
        text-align: center;
    }
}

@media screen and (max-width: 768px) {
    .navbar ul.active {
        display: flex;
        border-top: 2px solid var(--btn-color);
        padding: 10px 0px 10px 0px;
        margin-top: 0px;
    }
}

@media only screen and (max-width: 900px) {
    .logo-class {
        font-size: 35px;
    }
}

/* Slider  */
.display-block {
    display: block;
    animation: fadeIn 0.8s ease-in-out;
}

.display-none {
    display: none;
    opacity: 0;
}

/* Fade-in animation */
.slider img {
    width: 100%;
    height: auto;
    max-height: 600px;
    object-fit: cover;
}

.bullets-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -40px;
    padding: 0;
    list-style: none;
    flex-wrap: wrap;
}

.bullets-slide li {
    width: 15px;
    height: 15px;
    background-color: gray;
    border-radius: 50%;
    display: inline-block;
    margin: 5px;
    cursor: pointer;
}

.bullets-slide li.activeBullet {
    background-color: var(--btn-color);
}

/* extra buttons for Petro   */
/* .controls {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
    padding: 10px;
}

button {
    padding: 10px 15px;
    font-size: 16px;
    background-color: #3498db;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background 0.3s ease;
}

button:hover {
    background-color: #2980b9;
}

/* Responsive adjustments */
@media (max-width: 768px) {
    .slider img {
        max-height: 300px;
    }

    ul {
        margin-top: -20px;
    }

    .bullets-slide li {
        width: 12px;
        height: 12px;
        margin: 3px;
    }

    .controls {
        flex-direction: column;
        gap: 5px;
    }

    button {
        width: 80%;
    }

    input {
        width: 80px;
    }
}

@media (max-width: 480px) {
    .slider img {
        max-height: 250px;
    }

    button {
        font-size: 14px;
        padding: 8px;
    }

    .bullets-slide {
        flex-wrap: wrap;
    }
}

/* Footer */
@media (max-width: 600px) {
    .title-link h1 {
        font-size: 25px
    }
}

.footer-text {
    text-align: left;
}

.container-footer {
    background-color: var(--secondary-color);
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    padding: 30px 10%;
    text-align: left;
}

.footer-section {
    display: flex;
    flex-direction: column;
}

.footer-social {
    margin-top: 30px;
}


.footer-social a {
    padding: 15px;
}

@media (max-width: 768px) {
    .footer-social a {
        padding: 5px;
    }
}

.footer-social img {
    width: 30px;
    height: 30px;
}

.footer-links {
    list-style: none;
    padding: 0;
    text-align: left;
}

.footer-links li {
    margin-bottom: 10px;
}

.contact-item {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 20px;
}

.contact-item img {
    width: 20px;
    height: 20px;
}

.copyright {
    background-color: var(--secondary-color);
    display: flex;
    justify-content: space-between;
    padding: 20px 10%;
    flex-wrap: wrap;
    align-items: center;
}

hr {
    border: none;
    height: 1px;
    background-color: var(--btn-color);
}

.copyright-links {
    display: flex;
    gap: 20px;
}

@media (max-width: 768px) {
    .container-footer {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .copyright {
        flex-direction: column;
        text-align: center;
        gap: 10px;
        padding-bottom: 100px;
    }
}

.header-color-footer {
    color: var(--btn-color);
    margin-bottom: 20px;
    text-align: left;
    animation: bounce 1s ease 1;
}

@keyframes bounce {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-20px);
    }

    100% {
        transform: translateY(0);
    }
}

/* Back to Top Button */
#backToTopBtn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: var(--btn-color);
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    display: none;
    z-index: 5;
}


@media (max-width: 768px) {
#backToTopBtn {
    left: 50%;
    transform: translateX(-50%);
}
}